Panda3D

Loading...
Searching...
No Matches
Functions | Variables
config_putil.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "config_putil.h"`
`#include "animInterface.h"`
`#include "bamCacheIndex.h"`
`#include "bamCacheRecord.h"`
`#include "bamReader.h"`
`#include "bamReaderParam.h"`
`#include "bitArray.h"`
`#include "bitMask.h"`
`#include "buttonHandle.h"`
`#include "buttonMap.h"`
`#include "cachedTypedWritableReferenceCount.h"`
`#include "callbackData.h"`
`#include "callbackObject.h"`
`#include "clockObject.h"`
`#include "configurable.h"`
`#include "copyOnWriteObject.h"`
`#include "cPointerCallbackObject.h"`
`#include "datagram.h"`
`#include "doubleBitMask.h"`
`#include "factoryParam.h"`
`#include "gamepadButton.h"`
`#include "namable.h"`
`#include "nodeCachedReferenceCount.h"`
`#include "paramValue.h"`
`#include "referenceCount.h"`
`#include "sparseArray.h"`
`#include "typedObject.h"`
`#include "typedReferenceCount.h"`
`#include "typedWritable.h"`
`#include "typedWritableReferenceCount.h"`
`#include "writableConfigurable.h"`
`#include "writableParam.h"`
`#include "keyboardButton.h"`
`#include "mouseButton.h"`
`#include "dconfig.h"`

Go to the source code of this file.

## Functions
| ConfigureDef (config_putil)
| ConfigureFn (config_putil)
ConfigVariableSearchPath & | get_model_path ()
ConfigVariableSearchPath & | get_plugin_path ()
void | init_libputil ()
| Initializes the library.
| NotifyCategoryDef (bam, util_cat)
| NotifyCategoryDef (util, "")

## Variables
ConfigVariableEnum< BamEnums::BamEndian > | bam_endian ("bam-endian", BamEnums::BE_native, PRC_DESC("The default endianness to use for writing major numeric data " "tables to bam files. This does not affect all numbers written " "to bam files, only those for which the individual object was " "designed to support this flag. The default is \"native\"; you " "may set it to \"littleendian\" or \"bigendian\" to target a " "particular platform."))
ConfigVariableBool | bam_stdfloat_double ("bam-stdfloat-double", false, PRC_DESC("The default width of floating-point numbers to write to a bam " "file. Set this true to force doubles (64-bit floats), or false " "to force singles (32-bit floats). The default is whichever width " "Panda has been compiled to use natively. Normally, this setting " "should not be changed from the default."))
ConfigVariableEnum< BamEnums::BamTextureMode > | bam_texture_mode ("bam-texture-mode", BamEnums::BTM_relative, PRC_DESC("Set this to specify how textures should be written into Bam files." "See the panda source or documentation for available options."))
ConfigVariableInt | bam_version ("bam-version", "", PRC_DESC("Set this to specify which version .bam files to generate. Each " "Panda version only supports outputting a limited number of .bam " "versions. The default is to use the latest supported version."))
ConfigVariableBool | cache_check_timestamps ("cache-check-timestamps", true, PRC_DESC("Set this true to check the timestamps on disk (when possible) " "before reloading a file from the in-memory cache, e.g. via ModelPool, " "TexturePool, etc. When this is false, a model or texture " "that was previously loaded and is still found in the ModelPool is " "immediately returned without consulting the disk, even if the " "file on disk has recently changed. When this is true, the file " "on disk is always checked to ensure its timestamp has not " "recently changed; and if it has, the in-memory cache is automatically " "invalidated and the file is reloaded from disk. This is not related " "to on-disk caching via model-cache-dir, which always checks the " "timestamps."))
ConfigVariableBool | compressed_textures ("compressed-textures", false, PRC_DESC("Set this to true to compress textures as they are loaded into " "texture memory, if the driver supports this. Specifically, this " "changes the meaning of set_compression(Texture::CM_default) to " "Texture::CM_on."))
ConfigVariableBool | preload_simple_textures ("preload-simple-textures", false, PRC_DESC("When this is true, every texture image will have a simple " "image generated for it at load time. (Normally, textures " "get a simple image at egg2bam time.) This slows the initial " "loading time of textures, but allows you to take advantage " "of gsg::set_incomplete_render() to load textures on-the-fly " "in a sub-thread. It's not generally necessary if you are " "loading bam files that were generated via egg2bam."))
ConfigVariableBool | preload_textures ("preload-textures", true, PRC_DESC("When this is true, texture images are loaded from disk as soon " "as the Texture is created from the TexturePool. When this is " "false, the Texture is created immediately, but the image data " "is not loaded from disk until the Texture is actually rendered " "(or otherwise prepared) on the GSG. This can help reduce " "wasted memory from Textures that are created but never used " "to render."))
ConfigVariableDouble | sleep_precision ("sleep-precision", 0.01, PRC_DESC("This is the accuracy within which we can expect select() to " "return precisely. That is, if we use select() to request a " "timeout of 1.0 seconds, we can expect to actually sleep for " "somewhere between 1.0 and 1.0 + sleep-precision seconds."))

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  cary

Date
  2000-01-04

Definition in file config_putil.cxx.

## Function Documentation

## ◆ ConfigureFn()

ConfigureFn | ( | config_putil |  | ) |

Definition at line 92 of file config_putil.cxx.

## ◆ get_model_path()

ConfigVariableSearchPath & get_model_path | ( |  | ) |

Definition at line 106 of file config_putil.cxx.

## ◆ get_plugin_path()

ConfigVariableSearchPath & get_plugin_path | ( |  | ) |

Definition at line 119 of file config_putil.cxx.

## ◆ init_libputil()

void init_libputil | ( |  | ) |

Initializes the library.

This must be called at least once before any of the functions or classes in this library can be used. Normally it will be called by the static initializers and need not be called explicitly, but special cases exist.

Definition at line 185 of file config_putil.cxx.

References GamepadButton::init_gamepad_buttons(), KeyboardButton::init_keyboard_buttons(), MouseButton::init_mouse_buttons(), TypedObject::init_type(), BamCacheIndex::register_with_read_factory(), BamCacheRecord::register_with_read_factory(), ParamValue< LMatrix3d >::register_with_read_factory(), ParamValue< LMatrix3f >::register_with_read_factory(), ParamValue< LMatrix4d >::register_with_read_factory(), ParamValue< LMatrix4f >::register_with_read_factory(), ParamValue< LVecBase2d >::register_with_read_factory(), ParamValue< LVecBase2f >::register_with_read_factory(), ParamValue< LVecBase2i >::register_with_read_factory(), ParamValue< LVecBase3d >::register_with_read_factory(), ParamValue< LVecBase3f >::register_with_read_factory(), ParamValue< LVecBase3i >::register_with_read_factory(), ParamValue< LVecBase4d >::register_with_read_factory(), ParamValue< LVecBase4f >::register_with_read_factory(), ParamValue< LVecBase4i >::register_with_read_factory(), ParamValue< std::string >::register_with_read_factory(), and ParamValue< std::wstring >::register_with_read_factory().